Как я могу установить пакет, не устанавливая его зависимости?

Я пытаюсь установить фрукты и зависимостей огромные, в основном все гном. Я знаю, что они не нужны. Есть вариант в синаптической или APT-получить флаг для этого?

+655
Yurijmi 8 дек. 2015 г., 8:31:49
24 ответов

Я только что установил Ubuntu впервые. Я последовал шаги для разделения и корневой каталоги, как рекомендуется. Однако, когда я разделила на /dev/sda1, поскольку был зеленым, а диск не распознать Windows 7. После установки Ubuntu был оранжевый. Когда я перезагрузки я не предоставлен выбор операционной системы: вместо этого он идет прямо в Ubuntu. Как я могу изменить это, так что я могу снова получить доступ к Windows 7?

+960
Josh Webb 03 февр. '09 в 4:24

Как сказал izx, в его общий ответ, первый пункт, может быть причиной такого рода вещи.

Эти зависимости теперь также требуется/рекомендуется какого-либо другого пакета(ов), которые установлены на вашей системе.

Это наиболее вероятная и обоснованная причина для этого рода ситуации,но я думаю, что в других пакетах по имени с помощью ClamAV ClamAV с базы антивируса ClamAV-freshclam, его библиотеке libclamav6 libtommath0 скорее всего связан с матерью пакет антивируса ClamAV. Итак, первый пункт, может быть не так в этой конкретной ситуации.

Наиболее вероятной причиной этой проблемы, который, кажется, причина, после установки форк пакета, затем установить все пакеты зависимостей на такую команду ниже:

судо apt-получить установку антивируса ClamAV ClamAV с базы антивируса ClamAV-freshclam, его библиотеке libclamav6 форк libtommath0

Если это действительно так, вы не можете удалить их, удалив их мать пакет форк. поскольку в Апте язык, они устанавливаются "вручную", как вы собственноручно установил эти пакеты, подавая свое имя для apt-получить команду, поэтому должны также удалить их с явным указанием их название пакета

Вы можете проверить это, если это так, просматривая файл/var/журнал/АПТ/история.лог - файлы.

Чтобы удалить:

Вы должны удалить установленные пакеты, явно называя свое имя.Итак, в вашей конкретной ситуации

судо кв-получить продувки помощью ClamAV ClamAV с базы антивируса ClamAV-freshclam, его библиотеке libclamav6 форк libtommath0

Чтобы увидеть зависимые пакеты

Вы можете найти все зависимые пакеты с ниже команду:

АПТ-кэша зависит -я форк | вырезать -Ф-2-Д -': '| тр '\п' ' '.

Обратите внимание , что, форк зависит от пакет пакетов libc6. пока что пакет является очень существенным в вашей системе. Так, вы не можете удалить все зависимости форк , генерируя их зависимость список пакетов с помощью apt-кэша команд, поэтому это не рекомендуется. (на самом деле, это настоятельно рекомендуется, чтобы избежать делать это, если вы счастливы с нарушенной системой)

+894
user24018 19 апр. 2015 г., 16:47:13

Для облегчения установки xfwm-листов вы можете использовать этот учебник: Здание xfwm4tiling. Возможно, вам придется изменить пару цифр версия, но она прекрасно работала для меня. Если нет, то вы будете всегда иметь с Compiz маршрут. Если у вас 32бит система, я до сих пор .деб на моем компе, но я настоятельно рекомендую вам создать его самостоятельно.

+841
Spl2nky 7 окт. 2010 г., 21:08:06

Введите ваши команды в файл/etc/файл RC.местные. Обязательно прочитайте комментарии в голове.

+834
user90361 12 февр. 2016 г., 1:05:45

Я использую Lenovo на компьютере следующей конфигурации: 516 МБ ОЗУ и процессора тактовой частотой 3,06 ГГц

Когда я установил 11.04, система становится очень медленным. Из интернета я прочитала статью, Что с Lubuntu Desktop очень легкий рабочем столе, так что я установил его в Ubuntu. Когда я перешел с Lubuntu на рабочем столе, система немного быстрее, но когда я открываю сайт YouTube или другой видео-трансляция, веб-сайтов, система становится медленнее.

+752
somedayrainbows 29 нояб. 2010 г., 7:44:47

Я знаю, что можно настроить каталог так, определенным группам иметь доступ к нему, но есть ли способ, чтобы настроить его так, что любые новые файлы, созданные в нем автоматически есть конкретные группы владельца, независимо от того, кем они создаются?

+725
Laurent VA 8 мар. 2015 г., 18:43:48

Когда я нажимаю сочетание клавиш Ctrl + АЛТ + Т Я хочу видеть мой по умолчанию LXTerminal в с Lubuntu 13.04 в полный размер (не люблю Ф11). Я знаю, что я могу нажать сочетание клавиш Ctrl + АЛТ + Ф1 и сделать телетайп-терминал - это хорошо для некоторых ситуациях, но иногда мне нужно, например, Скопировать текст из терминала.

Я обнаружил, что я могу связать в .config/openbox/lubuntu-rc.xml команда lxterminal-геометрия=85x27 - его очень хорошо, но иногда мне нужно настроить не одним ПК с Lubuntu - и все это компьютер может быть с другим разрешением экрана. И lxterminal-геометрия=85x27 выглядеть немного не так, как LXTerminal в полном экране.

+676
Reihan Andhika 7 июн. 2013 г., 7:44:22

СТАРАЯ ШКОЛА СПОСОБ

Создать пользователя духа, с таким же uid:

цель: пользователь1 (изменение иска)

кошка файле /etc/passwd и | грэп пользователь1
пользователь1:х:1001:1001:Пользователь1 вопрос фамилия:/главная/пользователя user1:/бин/Баш

добавьте свой дух

судо команды useradd -д /дома/пользователь1 -Ф -1 -у 1001 -1001 г-м-о ghost1 -с /бин/Баш -п mysecret выступает

кошка файле /etc/passwd и | грэп пользователь1
пользователь1:х:1001:1001:Пользователь1 вопрос фамилия:/главная/пользователя user1:/бин/Баш
ghost1:х:1001:1001::/главная/пользователя user1:/бин/Баш

Су ghost1

Примечание: Вы можете удалить, с 'судо команда userdel ghost1', но не когда аккаунт регистрируется. Безотказный способ: удалить новую строку в файле/etc/passwd с'.

+671
Alexander Woo 18 апр. 2016 г., 13:24:19

Я не знаю, если вы все еще возникают проблемы при помощи lirc, но я нашел устройство, которое выступает в качестве ИК-приемника и работает без используя lirc. Это называется FLIRC и вы можете установить его с помощью простого графического интерфейса. Я рекомендую использовать полную раскладку клавиатуры, и вы должны быть в состоянии отобразить все кнопки на пульте команды клавиатуры поддерживается на XBMC. Это составляет около $25, но она безупречна и решить все вопросы, я пытаюсь настроить помощи lirc, кнопки карту и даже проблема у меня была с моим дистанционного вызывает телевизора для питания цикла. Я рекомендую его всем, кого я знаю, мне жаль, что я взял бы шанс на это, когда я впервые наткнулся на это 6 месяцев назад.

+668
Konstantin Ilyin 24 нояб. 2013 г., 13:40:33

Когда я подключить Мой CM9 трансформатор для 12.04 с оболочкой GNOME он не подключается, пока режим отладки по USB был отключен. Тогда я вижу два диска, один для встроенной памяти, а другой для моей съемной карты.

+546
Crowlands 17 янв. 2019 г., 12:27:16

Powertop 2.3

Вы можете также установить Powertop 2.3 надеюсь, что эта ошибка будет исправлена

Вам нужно скачать и скомпилировать его, потому что никто не имеет последней версии

Скачать powertop https://01.org/powertop/downloads/2013/powertop-v2.3

powertop-2.3.tar.gz < < < нажмите и скачать меня

Перед компиляцией необходимо установить зависимости

Установка зависимостей ( просто скопируйте и вставьте следующие команды )

суда apt-получить установку комплекта libtool autoconf для libnl-dev и пакет ncurses-dev и pciutils-сборки-основные-г

Установка Powertop

Чтобы построить и установить тип PowerTOP следующие команды

компакт-диск загрузки/powertop* # предположим, что вы скачали в папке Downloads в домашнем каталоге 
судо настроить 
судо сделать # используйте -J опцию, если вы хотите увидеть подробности ниже
установка

Вы можете также использовать -J2 на сколько ядер вы хотите использовать ./сделать.Заменить -в J2 с тем, что количество процессорных ядер вы хотите использовать для компиляции процесс. например, я использовал ./сделать -Сингапур, J8

Как сделать Powertop изменения?


Powerstat

это инструмент командной строки, которая показывает энергопотребление системы в ваттах.

Установите Powerstat

ссудо apt-получить установку powerstat -г

Вы можете проверить свой расход энергии

 судо powerstat

Или

 судо powerstat -Д 0

Он показывает потребляемую мощность в ваттах

Работает по 480 секунд (48 проб с интервалом в 10 секунд).
Измерения с ACPI батареи начнется в 0 секунд время

Время хороший пользователь sys ожидания ввода-вывода работать ctxt по/С IRQ с/с вилкой старпома выхода Вт
 11:19:41 4.2 0.0 1.4 94.4 0.0 1 8731 518 20 20 20 9.44
 11:19:51 1.6 0.0 0.9 97.4 0.0 1 2165 301 20 20 20 10.78
 11:20:01 1.7 0.0 1.0 97.3 0.0 1 7788 400 20 20 20 12.27

Средняя 2.5 0.0 1.1 96.3 0.0 1.0 6228.0 406.3 20.0 20.0 20.0 10.83
Со стандартным отклонением 1.2 0.0 0.2 1.4 0.0 0.0 2898.3 89.0 0.0 0.0 0.0 1.16

 Минимальная 1.6 0.0 0.9 94.4 0.0 1.0 2165.4 300.6 20.0 20.0 20.0 9.44
 Максимальная 4.2 0.0 1.4 97.4 0.0 1.0 8730.7 518.3 20.0 20.0 20.0 12.27

Резюме:
 10.83 Вт в среднем со стандартным отклонением 1.16 

+476
Lucca Mordente 26 февр. 2010 г., 8:48:54

Мне кажется, я поняла. Но вы можете хотеть проверить. В терминале введите:

найдите policytool

Вы получить Java-6-OpenJDK в файлы и Java-7-OpenJDK в файлы? Если это так, просто удалите файлы openjdk6.

Откройте Synaptic (меню -> Системные инструменты -> менеджер пакетов Synaptic) и поиск для OpenJDK.

Synaptic

Щелкните правой кнопкой мыши на пакеты OpenJDK-6 файлов, и удалить.

Remove

+423
CanBayrak 27 нояб. 2013 г., 4:39:05

Ну, введенной командой должен работать (разве что вы поставите две U в uusername) если вы настроили свою долю Ubuntu через Самбу. Это не будет работать, если вы использовали иной способ обмена файлами, типа NFS, но я считаю, что метод по умолчанию привилегированное по Ubuntu на рабочем столе-это Самба.

Может быть, ваша Убунту машина не объявляя своего имени узла в сети, и именно поэтому вы не сможете получить доступ к вашей акции список при вводе //ubuntu_machine. Возможно, вы захотите попробовать использовать IP-адрес вашего компьютера в Ubuntu по. Вместо того чтобы использовать имя компьютера, введите например:

судо горы.протокол CIFS //192.168.0.100/shareforlder в /MNT/акция -o имя пользователя=пользователь,пароль=пароль

где 192.168.0.100 будет ваш IP-адрес-вы должны подменить ваш фактический IP-адрес.

Попробуйте это, и дайте нам некоторую обратную связь!

+406
Pluvius 8 сент. 2019 г., 19:27:00

Я добавил два узла в моем Маас и они оба находятся в состоянии готовности. кроме того, я создал файл "сред.и YAML" и ввести следующие строки в этом файле

среды:
Маас:
 тип: Маас
 Маас-сервер: 'http://192.168.216.129:80/MAAS'
 Маас-протокол OAuth: '${W8QsbnRnV9UZWa28rn:he6edDat92ntkDqCEd:ubRPgpbGpvTHxK9zWNyJ2EgaK6QS5QRa}'
 админ-секрет: "ничто"
 по умолчанию-серия: точное

но после этого, когда я вошел в 'Жужу прихлоп' команды, я получаю следующую ошибку

2012-08-10 01:38:48,519 информация начальной загрузки среды 'Маас' (происхождение: тип дистрибутива: Маас)...
Загрузочный прервана, поскольку для хранения файл недоступен для записи: предоставленные учетные данные не принимаются сервером
2012-08-10 01:38:49,721 ошибка загрузки прервана, поскольку для хранения файлов недоступно для записи: поставляемый хранения учетные данные не принимаются сервером
+402
Wolfgang Reh 15 сент. 2018 г., 2:32:03

Я построил и установил приложения в каталоге моего выбора, скажем, под /дома/Джим/ЕГР, так что файлы были созданы в три-четыре папки, все в этом файле$Home и/usr папку (например, Бен, включают в себя, Либ, поделитьсяи т. д.).

Я могу запустить приложение из командной строки просто отлично, я добавил правильном пути к моему переменных среды пути и путь LD_LIBRARY_PATH в ~/.bashrc следующее.

Я добавил те же пути в ~/.профиль файла, который, если я не ошибаюсь, должен быть проанализирован по Ubuntu.

Не работает. Ничего. Куда я могу пойти отсюда?

Редактировать: я вышел/в и перезапустить мой компьютер. Оба ничего не меняло. Проблема, кажется, исходит из того, что неважно, что я делаю в переменной LD_LIBRARY_PATH переменной окружения не правильно перешел на Ubuntu.

Используя лог-файлы, я обнаружил, что приложение я пытаюсь запустить в этом примере не найти его зависимости находится в ~/УСР/Либ.

Одним из решений было бы добавить в/Home/Джим/УСР/Либ папку в файл, расположенный в каталоге/etc/ЛД.так.конф.д/, Но у меня нет прав администратора на этой машине.

Что делает скрипт-враппер как это работает:

#!/бин/Баш
экспорт переменной LD_LIBRARY_PATH=$HLOC/УСР/Либ
применение &> $дома/application_messages.журнал

но что бы заставить меня обернуть все мои дома скомпилированные приложения с помощью этого скрипта. Любые идеи?

Почему в Ubuntu/Гном удалить переменную окружения LD_LIBRARY_PATH из моего набора переменных? Это потому что пытаешься сделать это плохая практика?

Обновление (и решения): как найти Кристофер, есть отчет об этом на Launchpad. Переменная LD_LIBRARY_PATH установлено после разбора ~/.профиль файла. Посмотреть отчет об ошибке. Кажется, единственный выход сейчас-сделать скрипт-обертку.

+399
UnstopabbleHero 1 нояб. 2012 г., 22:31:44

изменение userContent.CSS, который решает проблему ; более подробная информация здесь также dolerean тема поставляется с Firefox настроить более подробная информация здесь; просто установив достаточно

+350
maksudur rahman 7 окт. 2013 г., 13:30:20

Понять, отсюда я был в состоянии исправить мою. откройте его с помощью опции-T от терминала, затем зайдите в опции и перейдите в дисплей, там вы снимите с V-синхронизации. после этого вы можете установить его на весь экран и применить. он работает. работает даже после закрытия и открытия программы.

+342
Aynura 5 авг. 2010 г., 10:31:21

Пометки на значках запуска, такие как границы и моменты могут быть легко удалены путем изменения 4 значков в единстве.

  1. Сделайте резервную копию следующих файлов изображений в папке /usr/доли/единства/4/:

    launcher_icon_back_54.ПНГ
    launcher_icon_edge_54.ПНГ
    launcher_icon_glow_62.ПНГ
    launcher_icon_shine_54.ПНГ
    
  2. Либо сделать свой собственный прозрачных изображений одинакового размера или загрузить файлы на

    с wget -о transparent54.ПНГ "https://i.stack.imgur.com/MiFpK.png"
    с wget -о transparent62.ПНГ "https://i.stack.imgur.com/0NvP0.png"
    
  3. Заменить эти 4 файла с одинаковым 4 файлы, скачанные по ссылке выше.

  4. Перезагрузите единства путем нажатия Альт+Ф2 и введя setsid единства (или выхода из системы и снова).

  5. Если вам не нравится, то просто замените значки с значки, резервное копирование и перезагрузка единства.

Пример:

Launcher with no borders around icons

+317
Jayden Garcia 21 февр. 2013 г., 17:00:38

Я думаю, что установка клавиш в разных приложениях-это ошибка (ссылка).

Как я могу сообщить об этой ошибке, если:

  1. Нажав кнопку "отчет об ошибке" в Launchpad отправляет меня на странице документация
  2. Я не знаю, что приложения, чтобы сообщить об ошибке
  3. Начиная с Ubuntu-ошибка, как это предлагается в документации и выбрав "другие" не помогают, потому что Убунту-ошибка программы, просто скажите мне, что я должен указать пид
+257
helmi 28 июн. 2015 г., 19:02:36

У меня была такая же проблема, а также еще один, который вы, похоже, тоже есть в то же время: не зная, как установить права от AMD Radeon серии HD 6450 драйвер. Как следствие, когда я пытался установить Ubuntu 10.10, он замер сразу после экрана входа в систему, и когда я попытался установить Ubuntu 11.10, он даже не приехал к экрану входа в систему.

Вот что я сделал, что решил проблему:

  • используя другой компьютер, скачать последний проприетарный драйвер от ATI на официальном сайте. В моем случае мне пришлось скачать его из здесь.
  • поставить драйвер на USB-ключ
  • перезагрузите компьютер, мы хотим, чтобы ремонт
  • в меню grub выберите режим восстановления. В результате прибывающие в командной строке интерфейса. Это является доказательством того, что операционная система Ubuntu функционирует, но, что эта проблема, действительно, графическая карта.
  • удалить все предыдущие версии flgrx , запустив команду sudo apt-получить удалить flgrx например
  • подключите USB-ключ С что-то близкое к команды mkdir каталог /mnt/USB-устройство сопровождается судо смонтировать /dev/СКБ /тугриков/USB-кабеля. Другой способ Этот маленький шаг объясняется здесь.
  • используйте компакт-диска команда установить в папку, где находится скачанный драйвер
  • при необходимости сделать драйвер быть исполняемый с чем-то вроде чмод +х ./АТИ-драйвера-установщика-11-11-архитектуры x86.архитектуру x86_64.запустить
  • выполнить драйвер с помощью команды sudo ./АТИ-драйвера-установщика-11-11-архитектуры x86.архитектуру x86_64.запустить
  • следуйте инструкциям на установки
  • если этот шаг не получилось, можно попробовать команду sudo ./АТИ-драйвера-установщика-11-11-архитектуры x86.архитектуру x86_64.бежать-сил вместо
  • перезагрузите компьютер

Тогда ваши две проблемы должны быть решены!

+250
loyloy 8 июл. 2018 г., 6:12:28

Мы нашли только один, так что решение далеко :

 судо apt-получить удалить GNOME-параметры-демон

Другой вариант - переименовать гном-настройки-сервиса daemon

+212
user67710 14 дек. 2011 г., 7:07:56

Вы можете синхронизировать аудио с помощью регулировки и панели эффектов в VLC. Нажмите на Показать расширенные настройки. Перейдите на вкладку синхронизация и настраивать все вручную, пока аудио и видео линии для вас.

VLC Syncronization dialog

+171
barbequesauce 10 мар. 2017 г., 0:38:53

после соглашаемся на скачивание и установку дополнительных мультимедийных плагинов,

он говорит, что зависимости пакета не могут быть разрешены, с ниже ошибки:

 Следующие пакеты имеют неудовлетворенные зависимости:

gstreamer0.10-плагинов-БАД:для i386: 
Зависит от: пакетов libc6 (>= 2.15), но 2.15-0ubuntu20 должен быть установлен
 Зависит: libcairo2 (>= 1.2.4) но 1.12.3+git20120608.f228769d-0ubuntu0ricotz~quantal0 должен быть установлен
 Зависит: libcdaudio1 (>= 0.99.12p2) но 0.99.12p2-12 должен быть установлен
 Зависит: libcurl3-gnutls (>= 7.16.2), но 7.27.0-1ubuntu1 должен быть установлен
 Зависит: libdvdnav4 (>= 4.2.0+20120524), но 4.2.0+20120524-2 должен быть установлен
 Зависит: libfaad2 (>= 2.7), но 2.7-8 должен быть установлен
 Зависит: libgcc1 (>= 1:4.1.1) но 1:4.7.2-2ubuntu1 должен быть установлен
 Зависит: libglib2.0-0 (>= 2.31.8) но 2.34.0-1ubuntu1 должен быть установлен
 Зависит: libgsm1 (>= 1.0.13) но 1.0.13-4 должен быть установлен
 Зависит: libgstreamer-Плагины-bad0.10-0 (= 0.10.23-7ubuntu1) но 0.10.23-7ubuntu1 должен быть установлен
 Зависит: libgstreamer-Плагины-base0.10-0 (>= 0.10.36) но 0.10.36-1ubuntu1 должен быть установлен
 Зависит: libgstreamer0.10-0 (>= 0.10.36) но 0.10.36-1ubuntu2 должен быть установлен
 Зависит: libmpcdec6 (>= 1:0.1~r435) но 2:0.1~r459-1ubuntu1 должен быть установлен
 Зависит: libopenal1 (>= 1:1.13), но 1:1.14-4ubuntu1 должен быть установлен
 Зависит: liborc-0.4-0 (>= 1:0.4.16) но 1:0.4.16-2 должен быть установлен
 Зависит: libpng12-0 (>= 1.2.13-4), но 1.2.49-1ubuntu1 должен быть установлен
 Зависит: librsvg2-2 (>= 2.14.4), но 2.36.3-0ubuntu1 будет установлен
 Зависит: librtmp0 (>= 2.3), но 2.4+20111222.git4e06e21-1 должен быть установлен
 Зависит: libschroedinger-1.0-0 (>= 1.0.9) но 1.0.11-2 должен быть установлен
 Зависит: libsndfile1 (>= 1.0.20), но 1.0.25-5 должен быть установлен
 Зависит: libssl1.0.0 (>= 1.0.0) но 1.0.1 с-3ubuntu2 должен быть установлен
 Зависит: с libstdc++6 (>= 4.1.1), но 4.7.2-2ubuntu1 должен быть установлен
 Зависит: libvpx1 (>= 1.0.0) но 1.1.0-1 должен быть установлен
 Зависит: libxvidcore4 (>= 1.2.2) но 2:1.3.2-9 должен быть установлен
+111
user45422 31 июл. 2012 г., 7:15:57

Чтобы полностью удалить Ubuntu один, просто закройте У1 услуг и тип этот на консоль (Ctrl + Alt + е)

судо РМ -РФ ~/.доля/местный/ubuntuone
РМ -РФ ~/.кэш/ubuntuone
РМ -РФ ~/.конфиг/ubuntuone
МВ ~/Убунту\ один/ ~/Убунту\ One_old/
Открытые приложения->стандартные->пароли и ключи шифрования, перейдите на вкладку пароли, удалить Ubuntu один маркер
судо apt-получить продувки ubuntuone*

Это позволит удалить Ubuntu один и все его настройки, и переместить файлы в папку с названием Ubuntu One_old в вашем домашнем каталоге!

+56
SHON 21 февр. 2016 г., 14:17:10

Показать вопросы с тегом